Loading...
Searching...
No Matches
BALL::HBondProcessor::HBond Class Reference

`#include <BALL/STRUCTURE/HBondProcessor.h>`

## Public Member Functions

| HBond ()
| HBond (Atom const *acceptor, Atom const *donor, bool donor_is_hydrogen=false)
Atom const * | getAcceptor ()
Atom const * | getDonor ()
bool | donorIsHydrogen ()
| Return flag indicating what HBond definition was used.
float | getLength ()
| Return distance between donor and acceptor.

## Protected Attributes

Atom const * | acceptor_
Atom const * | donor_
bool | donor_is_hydrogen_

## Detailed Description

Class to represent a hydrogen bond.

Definition at line 110 of file HBondProcessor.h.

## Constructor & Destructor Documentation

## HBond() [1/2]

BALL::HBondProcessor::HBond::HBond | ( |  | ) |

## HBond() [2/2]

BALL::HBondProcessor::HBond::HBond | ( | Atom const * | acceptor,
|  | Atom const * | donor,
|  | bool | donor_is_hydrogen = false )

inline

Definition at line 114 of file HBondProcessor.h.

## Member Function Documentation

## donorIsHydrogen()

bool BALL::HBondProcessor::HBond::donorIsHydrogen | ( |  | ) |

inline

Return flag indicating what HBond definition was used.

Definition at line 120 of file HBondProcessor.h.

## getAcceptor()

Atom const * BALL::HBondProcessor::HBond::getAcceptor | ( |  | ) |

inline

Definition at line 116 of file HBondProcessor.h.

## getDonor()

Atom const * BALL::HBondProcessor::HBond::getDonor | ( |  | ) |

inline

Definition at line 117 of file HBondProcessor.h.

## getLength()

float BALL::HBondProcessor::HBond::getLength | ( |  | ) |

inline

Return distance between donor and acceptor.

Definition at line 123 of file HBondProcessor.h.

## Member Data Documentation

## acceptor_

Atom const* BALL::HBondProcessor::HBond::acceptor_

protected

Definition at line 128 of file HBondProcessor.h.

## donor_

Atom const* BALL::HBondProcessor::HBond::donor_

protected

Definition at line 129 of file HBondProcessor.h.

## donor_is_hydrogen_

bool BALL::HBondProcessor::HBond::donor_is_hydrogen_

protected

Definition at line 130 of file HBondProcessor.h.